from django.contrib.auth.models import User
from django.test import TestCase, RequestFactory
from django.urls import reverse

from web.views import *

from web.models import *

from web.tests.functions import *

class VisitModelTests(TestCase):

    def test_mark_as_finished(self):
        subject = create_subject()
        visit = create_visit(subject)

        visit.mark_as_finished()

        visit_count = Visit.objects.filter(subject=subject).count()
        self.assertEquals(2, visit_count)

    def test_mark_as_finished_2(self):
        subject = create_subject()
        visit = create_visit(subject)
        subject.dead=True
        subject.save()

        visit.mark_as_finished()

        visit_count = Visit.objects.filter(subject=subject).count()
        self.assertEquals(1, visit_count)

    def test_mark_as_finished_3(self):
        subject = create_subject()
        visit = create_visit(subject)
        subject.resigned=True
        subject.save()

        visit.mark_as_finished()

        visit_count = Visit.objects.filter(subject=subject).count()
        self.assertEquals(1, visit_count)
