from django.test import TestCase
from web.forms import SubjectAddForm
from web.forms import VisitAddForm
from web.models import Subject
from web.models import Visit

from web.tests.functions import *

class ViewFunctionsTests(TestCase):
    def setUp(self):
        create_location("tescik")
        return

    def test_locations_for_user(self):
        user = create_user()

        self.assertEquals(Location.objects.all().count(), len(get_filter_locations(user)))

    def test_locations_for_worker(self):
        worker = create_worker()

        self.assertEquals(Location.objects.all().count(), len(get_filter_locations(worker)))

    def test_locations_for_worker_with_location(self):
        worker = create_worker()
        worker.locations = [get_test_location()]
        worker.save()
        create_location()

        self.assertEquals(1, len(get_filter_locations(worker)))
