from django.contrib.auth.models import User
from django.test import TestCase, RequestFactory
from django.urls import reverse

from web.views import *

from web.models import *

from web.tests.functions import *

class VisitViewTests(TestCase):
    def setUp(self):
        # Every test needs access to the request factory.
        self.factory = RequestFactory()
        self.user = User.objects.create_user(
            username='piotr', email='jacob@bla', password='top_secret')

    def test_visit_details_request(self):
        subject = create_subject()
        visit = create_visit(subject)
        appointment = create_appointment(visit)

        request = self.factory.get(reverse('web.views.visit_details', args=[visit.id]));
        request.user = self.user
        response = visit_details(request, visit.id);
        self.assertEqual(response.status_code, 200)
